%define rev	git20181123

%define major	2
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname %{name} -d

Summary:	Qt wrapper library for vk.com API
Name:		vreen
# From CMakeLists.txt
Version:	0.9.5
Release:	%mkrel -c %{rev} 2
License:	LGPLv3+
Group:		System/Libraries
Url:		https://github.com/gorthauer/vreen
# From git
Source0:	https://github.com/gorthauer/vreen/archive/master.tar.gz#/%{name}-%{version}%{?rev:%{rev}}.tar.gz
Source1:	https://github.com/gorthauer/cmake-utils/archive/master.zip
Patch0:		vreen-qt5-check.patch
Patch1:		vreen-linkage.patch
Patch2:		vreen-0.9.5-mga-no-lto.patch
BuildRequires:	cmake
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5WebEngine)
BuildRequires:	pkgconfig(Qt5WebEngineWidgets)
BuildRequires:	pkgconfig(proj)


%description
Qt wrapper library for VKontakte social network (vk.com) API.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Qt wrapper library for vk.com API
Group:		System/Libraries

%description -n %{libname}
Qt wrapper library for VKontakte social network (vk.com) API.

%files -n %{libname}
%doc AUTHORS
%{_libdir}/lib%{name}.so.%{major}{,.*}

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for vk.com API Qt wrapper library
Group:		Development/C++
Requires:	%{libname} = %{version}

%description -n %{devname}
Development files for %{name} library.

%files -n %{devname}
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/lib%{name}oauth.a

#----------------------------------------------------------------------------

%prep
%setup -q -n %{name}-master -a1
#mv cmake-utils-master/*.cmake cmake
%autopatch -p1

%build
%cmake_qt5 \
	-DVREEN_WITH_QMLAPI=OFF
%cmake_build

%install
%cmake_install


%changelog
* Sun Dec 04 2022 daviddavid <daviddavid> 0.9.5-0.git20181123.2.mga9
+ Revision: 1917376
- Qt4 devel pkg is no more needed

* Sat Dec 03 2022 kekepower <kekepower> 0.9.5-0.git20181123.1.mga9
+ Revision: 1916227
- Update to version 0.9.5-git20181123
+ pol4n <pol4n>
- Add pkgconfig(proj) as BuildRequires

* Wed Apr 06 2022 umeabot <umeabot> 0.9.5-0.git20140906.7.mga9
+ Revision: 1845478
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.9.5-0.git20140906.6.mga8
+ Revision: 1518057
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros
- replace deprecated %%makeinstall_std
- replace deprecated %%apply_patches

* Sun Sep 23 2018 umeabot <umeabot> 0.9.5-0.git20140906.5.mga7
+ Revision: 1301641
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 0.9.5-0.git20140906.4.mga6
+ Revision: 950678
- Mageia 6 Mass Rebuild

* Mon Nov 17 2014 danf <danf> 0.9.5-0.git20140906.3.mga5
+ Revision: 797634
- Added no-lto.patch to disable the buggy link-time optimizer that
  causes link errors
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
+ fwang <fwang>
- fix linkage
- make verbose
- fix qt5 check
- add k8json source
- move to correct dir
- add cmake utils module
- new snapshot
- rebuild for new gcc

* Sat Apr 19 2014 alexl <alexl> 0.9.5-0.git20131027.3.mga5
+ Revision: 617054
- fix requires for devel pkg again

* Sat Apr 19 2014 alexl <alexl> 0.9.5-0.git20131027.2.mga5
+ Revision: 617050
- fix requires for devel pkg

* Sat Apr 19 2014 alexl <alexl> 0.9.5-0.git20131027.1.mga5
+ Revision: 617044
- imported package vreen

